Bug 220314

Summary: [WASM-References] Add linking tests
Product: WebKit Reporter: Dmitry <dbezhetskov>
Component: WebAssemblyAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Dmitry 2021-01-05 02:29:10 PST
[WASM-References] Add linking tests
Comment 1 Dmitry 2021-01-05 02:31:21 PST
Created attachment 416979 [details]
Patch
Comment 2 Yusuke Suzuki 2021-01-06 11:25:19 PST
Comment on attachment 416979 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=416979&action=review

r=me, but we need to have bugzilla links.

> JSTests/wasm/references-spec-tests/linking.wast.js:269
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133. should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

When commenting out wasm spec test, we should have bugzilla URL with FIXME which clarifies what is the problem and how we will fix in the future.
And the comment has duplicate information twice.

> JSTests/wasm/references-spec-tests/linking.wast.js:279
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

Ditto.

> JSTests/wasm/references-spec-tests/linking.wast.js:290
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

Ditto.

> JSTests/wasm/references-spec-tests/linking.wast.js:353
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

Ditto.

> JSTests/wasm/references-spec-tests/linking.wast.js:391
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

Ditto.

> JSTests/wasm/references-spec-tests/linking.wast.js:402
> +// FIXME: should be uninstantiable - https://github.com/WebAssembly/bulk-memory-operations/issues/133.

Ditto.
Comment 3 Dmitry 2021-01-07 22:20:22 PST
Created attachment 417245 [details]
Patch
Comment 4 EWS 2021-01-08 09:02:46 PST
Committed r271300: <https://trac.webkit.org/changeset/271300>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417245 [details].
Comment 5 Radar WebKit Bug Importer 2021-01-08 09:03:15 PST
<rdar://problem/72932205>